package com.mokabyte.javaxml.jdom;

import org.jdom.*;
import org.jdom.input.SAXBuilder;
import java.io.File;
import java.util.*;

/**
 *  Parsing di un file XML
 *
 *  @author     Andrea Giovannini
 *  @version    1.0
 */
public class JDOMTest {
	public static void main(String[] args) {

		if (args.length != 1) {
			System.out.println("Utilizzo: java com.mokabyte.javaxml.jdom.JDOMTest <file>");
			return;
		}
		
        try {
            SAXBuilder builder = new SAXBuilder();
            Document doc = builder.build(new File(args[0]));
            List children = doc.getRootElement().getChildren();
            String number, priority, description, state;
            Iterator iterator = children.iterator();
            while(iterator.hasNext()) {
                Element item = (Element)iterator.next();
                
                number = item.getChildText("number");
                priority = item.getChildText("priority");
                description = item.getChildText("description");
                state = item.getChildText("state");
                
                System.out.println("Attivita' " + number);
                System.out.println("\tPriorita': " + priority);
                System.out.println("\tDescrizione: " + description);
                System.out.println("\tStato: " + state);
            }
            
        } catch(JDOMException e) {
            System.err.println("Errore durante il parsing del documento " + args[0]);
            e.printStackTrace();
        }

	}

}